<?php
/*
Plugin Name: wp-ng-weather
Plugin URI: https://github.com/tonysamperi/wp-ng-weather
Description: A simple weather widget for Wordpress!
Version: 1.0
Author: Tony Samperi
Author URI: http://www.flytheweb.it
*/

$wpNgW_countApps = 1;
$wpNgW_url = WP_PLUGIN_URL .'/' .basename(__DIR__);
if (!is_admin()) {
    //LOAD DEPENDENCIES
    wp_enqueue_style('wpwMisc', $wpNgW_url . '/css/misc.css');
    wp_enqueue_style('wpwWeatherCss', $wpNgW_url . '/ng-weather/css/ng-weather.css');
    wp_enqueue_style('wpwFont', $wpNgW_url . '/ng-weather/css/owfont.css');
    wp_register_script('angular129', $wpNgW_url . '/js/angular.js');
    wp_enqueue_script('wpwWeatherJs', $wpNgW_url . '/ng-weather/ng-weather.js', ['angular129']);
    wp_localize_script('wpwWeatherJs', 'wpNgW', array( 'base' => $wpNgW_url ));
    //DECLEAR SHORTCODE
    add_shortcode('ng-weather', 'loadNgWeather');
    function loadNgWeather($atts)
    {
        global $wpNgW_countApps, $wpNgW_url;
        $params = shortcode_atts(['city' => null,'city-id' => null,'api-key' => null,'locale' => 'en'], $atts);
        foreach ($params as &$p) {
            $p = trim($p);
        }
        if(empty($params["api-key"])){
            $error = '<strong>app-id</strong> cannot be empty!<br />Go to <a target="_blank" href="http://openweathermap.org">http://openweathermap.org</a> and register to get your free API KEY';
            include "templates/messagesBox.php";
            return false;
        }
        if(empty($params["city"]) && empty($params["city-id"])){
            $error = "Either <strong>city</strong> or <strong>city-id</strong> must be defined!";
            include "templates/messagesBox.php";
            return false;
        }
        ob_start();
        include "templates/app.php";
        $wpNgW_countApps++;
        return ob_get_clean();
    }
}
// end if !is_admin

?>